Bug 355281 - ifup MyModem fails claiming a script error
ifup MyModem fails claiming a script error
Product: Fedora
Classification: Fedora
Component: ppp (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jiri Skala
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-27 10:57 EDT by Brian G. Anderson
Modified: 2014-11-09 17:30 EST (History)
1 user (show)

See Also:
Fixed In Version: ppp-2.4.4-6.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-19 09:20:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/var/log/message when ppp tries to connect. (1.27 KB, application/octet-stream)
2007-10-27 10:57 EDT, Brian G. Anderson
no flags Details

  None (edit)
Description Brian G. Anderson 2007-10-27 10:57:21 EDT
Description of problem:
I have a bluetooth phone setup up according to the instruction at this site
Even though it is for FC5 and an T41,  it is the same setup for my FC6,FC7,FC8
Dell D620.  Under FC8 I get "The connect script failed (maybe wrong password or
wrong phone number)".  The log only reports "Connect script failed".

However when I "wvdial Cingular" as root is connects fine, though it doesn't
update "resolve.conf" properly.  I've attached the relevant part of
/var/log/message below.

Both times I stopped NetworkManager, though under FC6 and FC7 this was never

/var/log/ppp *never* has anything in it.  Even when I successfully connect using
wvdail.  I'm guessing it's not logging for some reason.

Even though I'm using a bluetooth connection, I don't think it has anything to
do with bluetooth, since I am able to use minicom to the phone over the
/dev/rfcomm0 device and manually instruct it to dial with no problems. 
Unfortunately,  my laptop only has a softmodem so I cannot test ppp any other way.

Version-Release number of selected component (if applicable):

How reproducible:
every time

Steps to Reproduce:
1. setup connection
2. use ifup <Connection>
Actual results:

Expected results:
connect ppp

Additional info:
Comment 1 Brian G. Anderson 2007-10-27 10:57:21 EDT
Created attachment 240471 [details]
/var/log/message when ppp tries to connect.
Comment 2 Martin Nagy 2008-04-07 09:24:44 EDT
PPP doesn't write to /var/log/ppp because it is a bug, see Bug 249152 . It is
now fixed with ppp-2.4.4-6.fc9, otherwise, the logs go to /etc/ppp, but SELinux
probably prevents that. The link you gave is no longer working.. Can you find it
Also, could you please attach your /etc/sysconfig/network-scripts/ifcfg- of the
connection you are trying to use? (just be careful, there might be sensitive
informations in there). Thanks.
Comment 3 Bug Zapper 2008-05-13 23:46:00 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 4 Brennan Ashton 2008-06-07 22:48:52 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 5 Brian G. Anderson 2008-06-09 08:42:33 EDT
As of FC9,  I don't see this problem anymore.
Comment 6 Jiri Skala 2008-06-19 09:20:53 EDT
(In reply to comment #5)
> As of FC9,  I don't see this problem anymore.

Hi, in relation to your comment I'll close the bug.

Note You need to log in before you can comment on or make changes to this bug.